/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

#include <QObject>

#include <W32STD.H>

#include <QUrl>

class AfLauncher;

class TestApplicationLuncher : public QObject
{
    Q_OBJECT

private slots:
    void initTestCase();
    void cleanupTestCase();
    
    void testIsRunning();
    void testStartApp();
    void testbringToForeground();
    
    void testLaunchActivity_data();
    void testLaunchActivity();
    
    void testGracefulHandlingOfInvalidUid();
    void testGracefulHandlingOfCorruptedApplication();

private:    
    bool sendToBackground(const TUid &uid);
    TUid getForegroundAppUid();
    QUrl buildUri(const TUid &uid, const QString &activityName);

private:
    RWsSession mWsSession;

};
