/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef LETTERWIDGET_H_
#define LETTERWIDGET_H_

#include <hbwidget.h>
#include <QGraphicsLinearLayout>
#include <QGraphicsGridLayout>
#include <HbPushButton>
#include <hblabel.h>
#include <HbComboBox>

class letterwidget: public HbWidget
{
    Q_OBJECT
public:
    letterwidget(QGraphicsItem *parent = 0);
    ~letterwidget();
    QString state();
    void setState( QString state );

private:
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

    QGraphicsGridLayout *mGridLayout;

    HbPushButton *mA;
    HbPushButton *mB;
    HbPushButton *mC;

    HbPushButton *mSave;
    HbPushButton *mDel;
    HbPushButton *mWait;
    HbPushButton *mPanic;

signals:
    void save();
    void del();

private slots:
    void toA();
    void toB();
    void toC();
    void wait();
    void panic();

private:
    QString mStatename;

};

#endif /* LETTERWIDGET_H_*/
