/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include "squrewidget.h"
#include <QRect>
#include <QPainter>


squrewidget::squrewidget(QGraphicsItem *parent)
    : figurewidget(parent)
{
    mGridLayout->addItem(mTriangle, 2, 0, 1, 1);
    mGridLayout->addItem(mCircle, 2, 1, 1, 1);
 
    mColor = "red";
    
    delete mSqure;
    mSqure = NULL;
}

squrewidget::~squrewidget()
{
}

void squrewidget::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{
    QRect rect(10, 10, 300, 300);    
    painter->setPen(Qt::black);
    if (mColor == "red") {
        painter->setBrush(Qt::red);
    } else if (mColor == "green") {
        painter->setBrush(Qt::green);
    } else if (mColor == "blue") {
        painter->setBrush(Qt::blue);
    } else {
        Q_ASSERT(false);
    }
    painter->drawRect(rect);
    
    figurewidget::paint(painter, option, widget);    
}
