/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef VIEWMANAGER_H_
#define VIEWMANAGER_H_

#include <hbmainwindow.h>
#include <hbview.h>
#include <QVariant>
class HbApplication;
class figurewidget;

#include <QFile>
#include <QTextStream>

class viewmanager : public HbMainWindow
{
    Q_OBJECT
public:
    viewmanager(HbApplication *hbapp);
    virtual ~viewmanager();
    figurewidget* currentWidget();

private:
    figurewidget *mSw;
    figurewidget *mTw;
    figurewidget *mCw;
    HbView *mSView;
    HbView *mTView;
    HbView *mCView;

private slots:
    void totriangle();
    void tosqure();
    void tocircle();

    void save();
    void updateAct();
    void del();

public slots:
    void loadActivityData(const QString &name);

public:
    void loadActivityData(const QVariant &data);

private:
    QString mStatename;
    QVariant mSaveVariant;
    HbApplication *mHbApp;

};

#endif /* VIEWMANAGER_H_ */
