/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include "italicwidget.h"
#include <QRect>
#include <QPainter>
#include <QPolygon>

const QString KButtonString("to bold");

italicwidget::italicwidget(QGraphicsItem *parent)
    : letterwidget(parent)
{    
    mGridLayout->addItem(mBold, 2, 0, 1, 1);
    mGridLayout->addItem(mUnderline, 2, 1, 1, 1);    

    mColor = "green";   
    mNameCombo->addItem("Italic");
    
    delete mItalic;
    mItalic = NULL;
}

italicwidget::~italicwidget()
{
    
}

void italicwidget::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{
    letterwidget::paint(painter, option, widget);
    QFont font;
    font.setPointSize(45);
    font.setItalic(true);
    painter->setFont(font);
    painter->drawText(10, 140, "Italic");
}



