/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef LETTERWIDGET_H_
#define LETTERWIDGET_H_

#include <hbwidget.h>
#include <QGraphicsLinearLayout>
#include <QGraphicsGridLayout>
#include <HbPushButton>
#include <hblabel.h>
#include <HbComboBox>

class letterwidget: public HbWidget
{
    Q_OBJECT
public:
    letterwidget(QGraphicsItem *parent = 0);
    ~letterwidget();
    void setcolor(const QString &color);
    QString color();
    QString visibility();
    QString persistent();
    QString name();
    

protected:
    virtual void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);    

protected:
    
    QGraphicsGridLayout *mGridLayout;
    HbPushButton *mItalic;
    HbPushButton *mBold;
    HbPushButton *mUnderline;
    HbPushButton *mRed;
    HbPushButton *mGreen;
    HbPushButton *mBlue;
    HbPushButton *mSave;
    HbPushButton *mDelete;
    HbLabel* mVisibilityLabel;
    HbLabel* mPersistentLabel;
    HbLabel* mNameLabel;
    HbComboBox *mVisibilityCombo;
    HbComboBox *mPersistentCombo;
    HbComboBox *mNameCombo;
    QString mColor;    

signals:
    void tobold();
    void toitalic();
    void tounderline();
    void save();
    void del();

protected slots:
    void red();
    void green();
    void blue();
    
};

#endif /* LETTERWIDGET_H_*/
