/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef ICONSVIEW_H
#define ICONSVIEW_H

#include <hbview.h>

class HbLabel;
class QStandardItemModel;
class HbListView;

class IconsView : public HbView
{
    Q_OBJECT

public:
    IconsView(QGraphicsItem *parent = 0);
    ~IconsView();

private slots:
    void addItem();
    void removeItem();

public slots:
    void saveActivity(const QString &name);
    void loadActivity(const QString &name);
    void loadActivity(const QVariant &data);

public:
    QVariant generateActivityData();

private:
    void updateCountLabel();
    void addItemToModel(int number);

private:
    QStandardItemModel *mModel;
    HbLabel *mItemCountLabel;
    HbListView *mList;
};

#endif // ICONSVIEW_H
