/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

#include "activitydebugerconsole.h"
#include <hbscrollarea.h>





ActivityDebugerConsole::ActivityDebugerConsole(QGraphicsItem *parent):HbTextEdit(parent) 
{
    setScrollable(true);
    setReadOnly(true);
    clearContextMenuFlag(Hb::ShowTextContextMenuOnLongPress);
    clearContextMenuFlag(Hb::ShowTextContextMenuOnSelectionClicked);
    connect( this, SIGNAL(contentsChanged()), this, SLOT(scrollToBotton()));
}

ActivityDebugerConsole::~ActivityDebugerConsole()
{

}


void ActivityDebugerConsole::scrollToBotton()
    {
    HbScrollArea* scrollarea = scrollArea();
    QSizeF size = scrollarea->contentWidget()->size();
    QPointF point( 0, size.height() );
    scrollarea->scrollContentsTo(point);
    scrollarea->ensureVisible(point);
    }

void ActivityDebugerConsole::appendText(const QString& text)
    {
    setPlainText(toPlainText()+text);
    }

void ActivityDebugerConsole::clear()
    {
    setPlainText(QString());
    }

void ActivityDebugerConsole::mousePressEvent(QGraphicsSceneMouseEvent */*event*/)
    {
    
    }

void ActivityDebugerConsole::focusInEvent(QFocusEvent */*event*/)
    {
    
    }
