/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef FIGUREWIDGET_H_
#define FIGUREWIDGET_H_

#include <hbwidget.h>
#include <QGraphicsLinearLayout>
#include <QGraphicsGridLayout>
#include <HbPushButton>
#include <hblabel.h>
#include <HbComboBox>

class HbComboBox;
class HbCheckBox;

class figurewidget: public HbWidget
{
    Q_OBJECT
public:
    figurewidget(QGraphicsItem *parent = 0);
    ~figurewidget();
    void setcolor(const QString &color);
    QString color();
    QString visibility();
    QString persistent();
    QString name();
    
protected:
    virtual void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
    QGraphicsGridLayout *mGridLayout;
    HbPushButton *mTriangle;
    HbPushButton *mSqure;
    HbPushButton *mCircle;
    HbPushButton *mRed;
    HbPushButton *mGreen;
    HbPushButton *mBlue;
    HbPushButton *mSave;
    HbPushButton *mDelete;
    HbLabel* mVisibilityLabel;
    HbLabel* mPersistentLabel;
    HbLabel* mNameLabel;
    HbComboBox *mVisibilityCombo;
    HbComboBox *mPersistentCombo;
    HbComboBox *mNameCombo;  
    HbCheckBox* mSaveDekCheckBox;
    QString mColor;
    bool mFailed;
    
signals:
    void tosqure();
    void totriangle();
    void tocircle();
    void save();
    void updateAct();
    void del();

protected slots:
    void red();
    void green();
    void blue();

public slots:
    void clearFailedFlag();
    void setFailedFlag();
    bool delBeforeSave();
};

#endif /* FIGUREWIDGET_H_*/
