/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include "trianglewidget.h"
#include <QRect>
#include <QPainter>
#include <QPolygon>


trianglewidget::trianglewidget(QGraphicsItem *parent)
    : figurewidget(parent)
{
    mGridLayout->addItem(mSqure, 1, 0, 1, 1);
    mGridLayout->addItem(mCircle, 1, 1, 1, 1);

    mColor = "green";
    mNameCombo->addItem("Triangle");
    
    delete mTriangle;
    mTriangle = NULL;
}

trianglewidget::~trianglewidget()
{
    
}

void trianglewidget::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{
    QPolygon polygon;
    polygon.putPoints(0, 3, 10,300, 150,10, 300,300);    
    painter->setPen(Qt::black);
    if (mColor == "red") {
        painter->setBrush(Qt::red);
    } else if (mColor == "green") {
        painter->setBrush(Qt::green);
    } else if (mColor == "blue") {
        painter->setBrush(Qt::blue);
    } else {
        Q_ASSERT(false);
    }

    painter->drawPolygon(polygon, Qt::WindingFill);

    figurewidget::paint(painter, option, widget);
}
