#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description:
#

TEMPLATE = app
CONFIG += hb mobility
MOBILITY = serviceframework
HB = hbcore
include(../../../../common.pri)
include(../../../tsrc/testutils/testutils.pri)
CONFIG(debug, debug|release) {
    DESTDIR = debug
} else {
    DESTDIR = release
}

CONFIG += debug_and_release \
    console
QT += testlib xml

DEFINES += CONTENTARSENAL_UNITTEST
DEFINES += CONTENT_ARSENAL_STORAGE_UT

coverage:DEFINES += COVERAGE_MEASUREMENT
DEPENDPATH += . \
    ./inc \
    ./src
INCLUDEPATH += . \
    ./inc \
    ../../inc \
    ../../../../homescreensrv_plat/contentstorage_api \
	../../../srvinc \
	../../../inc  \
	../../../cautils\inc \
	../../../castorage/inc \
	../../../../contentstorage/inc 
	

INCLUDEPATH += ../../../cautils/inc \
    ../../inc

LIBS += -lcaclient
   
symbian: {
    CONFIG += symbian_test
    ### get rid of localization warnings
    CONFIG -= hb
    load(hb.prf)
    CONFIG -= symbian_i18n
    ###
    coverage: {
        SUBDIRS  += ../../../cautils

        SUBDIRS  += ../../../caclient

        BLD_INF_RULES.prj_mmpfiles += "../../../casrv/casrvmgr/group/casrvmanager.mmp" \
            "../../../casatinterface/group/MenuInterface.mmp" \
            "../../../group/casathandler.mmp" \
            "../../../group/camenu.mmp" \
            "../../../group/camenusrv.mmp" "
			
        CONFIG -= symbian_test
    }        

    TARGET.UID2 = 0x100039CE
    TARGET.UID3 = 0x20026FA8
    TARGET.CAPABILITY = ALL -TCB
    TARGET.EPOCSTACKSIZE = 0x14000 // 80kB
    TARGET.EPOCHEAPSIZE = 0x20000 0x1000000 // 128kB - 16MB

    INCLUDEPATH += $$MW_LAYER_SYSTEMINCLUDE

    LIBS += \
        -lapgrfx \
        -lefsrv \
        -lws32 \
        -lcautils \
		-lsqldb \
		-lbafl  \
        -lflogger \
		-lsysutil
		
	export.sources = ./data/armv5/*.sisx
	export.path = /testing/data/t_caclient/installs
	
	exportDB.sources = ./data/castorage.db
    exportDB.path = /testing/data/t_caclient/
	
	exportQM.sources = ./data/emailTest.qm
    exportQM.path = /resource/qt/translations/
	
	
	DEPLOYMENT += export \
	            exportDB \ 
	            exportQM
	
}

include(t_caclient.pri)
!win32:include(t_caclient_installs_win32.pri)
!symbian:unix:include(t_caclient_installs_unix.pri)
