/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

#ifndef T_CA_SERVICE_REGISTRY_H
#define T_CA_SERVICE_REGISTRY_H

#include <QtTest/QtTest>
#include "casoftwareregistry.h"

/**
 *
 * Test class.
 *
 */
class T_CaSoftwareRegistry: public QObject
{
    Q_OBJECT
public:
    T_CaSoftwareRegistry();
private slots:

    //setup methods
    void initTestCase();
    void cleanup();

    void testSoftwareRegistryCreate();
#ifdef Q_OS_SYMBIAN
    void testExtractingDetailsFromEntry();
    void testExtractingDetailsFromJavaEntry();
    void testUninstallDetails();
    void testGetLogEntries();
    void testApplicationsUids();
    // tests for caprogressscanner
    void testProgresScannerNew();
    void testProgressStartOperationHandler();
    void testProgressProgressOperationHandler();    
    void testProgressEndOperationHandler();
    void testCreateUninstallNotifier();
#endif
    void testEntryDetails();

    void testUninstallDetailsBadComponentId();

private:
    QSharedPointer<CaSoftwareRegistry> mSoftwareRegistry;
};

#endif // T_CA_SERVICE_REGISTRY_H
