/*
 * Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 * This component and the accompanying materials are made available
 * under the terms of "Eclipse Public License v1.0"
 * which accompanies this distribution, and is available
 * at the URL "http://www.eclipse.org/legal/epl-v10.html".
 *
 * Initial Contributors:
 * Nokia Corporation - initial contribution.
 *
 * Contributors:
 *
 * Description:
 *
 */

#ifndef __T_casrvAppScaner_H__
#define __T_casrvAppScaner_H__

#include <QtTest/QtTest>

#include "casrvplugin.h"
#include "casrvmanager.h"

//  FORWARD DECLARATIONS
class CTestUtils;
class CCaStorageProxy;
class CCaSrvEngUtils;
namespace Usif{
    class RSoftwareComponentRegistry;
}

#include <e32def.h>

class T_CaInstaller;

class T_casrvAppScaner : public QObject
{
    Q_OBJECT
public:
    T_casrvAppScaner();
private slots:
    void initTestCase();
    void init();
    void testNew();
    void testHandler_LoadPlugin();
    void testHandler_New();
    void testUninstalled();
    void testInstalled();
    void testAddNewApp();
    void testNoUpdate();
    void testRemoveMmcApp();
    void testRemoveMmcAttr();
    void testRemoveMissingFlag();
    void testRemoveMissingFlag01();
    void testAddMissingFlag();
    void testSatApp();
    void testHsApp();
    void testAddRemovable();
    void testRemoveRemovable();
    void testRunError();
    void testInstallNotifier();
    void testDownloadCollectionAdd();
    void testDownloadCollectionUpdate();
    void testDownloadCollectionRemove();
    void testCreatePredefinedCollection();
    void testGetAllCollectionIdL();
    void testUpdateComponentIdL();
    void testSave();
    void testInsert();
    void testSetCWRTAppL();
    void testSetJavaAppL();
    void cleanup();
    void cleanupTestCase();
private:    // Data
    //setup methods

    void Setup_UninstalledL();
    void Setup_AddNewAppL();
    void Setup_NoUpdateL();
    void Setup_RemoveMmcAppL();
    void Setup_RemoveMmcAttrL();
    void Setup_RemoveMissingFlagL();
    void Setup_RemoveMissingFlag01L();
    void Setup_AddMissingFlagL();
    void Setup_SatAppL();
    void Setup_HsAppL();
    void Setup_AddRemovableL();
    void Setup_RemoveRemovableL();


    CTestUtils *iTestUtils;

    CCaStorageProxy *iStorage;

    CCaSrvEngUtils *iSrvEngUtils;
    
    Usif::RSoftwareComponentRegistry *iScr;

    T_CaInstaller *iInstaller;
};

#endif      //  __T_casrvAppScaner_H__

// End of file
