/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Main test class for hspluginmodel library.
*
*/

#ifndef T_CALOCALIZER_H
#define T_CALOCALIZER_H

#include <QtTest/QtTest>

#include <e32base.h>
#include <W32STD.H>
#include "casrvplugin.h"

class CCaInnerEntry;
class CCaStorageProxy;
class CFileMan;
/**
 * @test Test class for hsmcsserviceprovider library.
 */
class TestCaLocalizerScanner : public QObject
{
    Q_OBJECT

private slots:


    /**
     * initialize
     */
    void initTestCase();

/*    void init();
    
    *
     * cleanup
     
    
    void cleanup();*/

    void cleanupTestCase();

// tests
    
    void TestInitializeScannerProxy();
    
    void TestLoadLocalizerPlugin();

    
private:
    
    //helper function to ommit debuging restriction under a trap
    void TestInitializeScannerProxyTrapped();
    
    //helpers
    CCaInnerEntry* GetEntryById(TInt aId);
    CCaSrvPlugin* LoadPluginL( TUid aImplUid, TPluginParams aPluginParams );
    
    CCaStorageProxy* iStorageProxy;
    CFileMan* iFileManager;
    RFs iFs;
 
};


#endif//T_CALOCALIZER_H
