/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/
//utility class for tests
//all utility methods should be implemented here
#ifndef CA_RUNNING_APP_MONITOR_TEST_UTILS_H
#define CA_RUNNING_APP_MONITOR_TEST_UTILS_H

#include "casrvengutils.h"
#include "casrvplugin.h"

class CCaStorageProxy;
class CCaInnerEntry;

class CTestUtils: public CBase
{
public:
    /**/
    virtual ~CTestUtils();
    
    /**/
    static CTestUtils* NewL();
    
    /**/
    static CTestUtils* NewLC();
    
    TInt CopyDb();
    
    TInt LaunchApplicationL( const TUid aUid );
    
    TInt TerminateApplicationL( const TUid aUid );

    void WaitL(TInt aMicroSec);
    
    TBool IsRunningL(TUid aAppUid, CCaStorageProxy& aStorage)const;
    
private:
    /**
     * Copys files
     */
    TInt Copy( const TDesC& aSource, const TDesC& aDest );

    CTestUtils();

    void ConstructL();
    
    RFs iFs;
    CFileMan* iFileManager;

    /**
     * Local Active Sheduler.
     * Own.
     */
    CActiveSchedulerWait* iActiveWait;

};

#endif
