/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: CWaitActive declaration
*
*/

#ifndef WAITACTIVE_H
#define WAITACTIVE_H

#include <e32base.h>

/**
 *  Helper wait active class
 */
 class CWaitActive : public CTimer
    {

public:


	static CWaitActive* NewL( );

	~CWaitActive();

	void Wait(TTimeIntervalMicroSeconds32 anInterval);

protected:

    /**
    * From CActive, RunL.
    * Handles the active objects request completion event
    */
    void RunL();


private:

    CWaitActive();

    void ConstructL();

private:

	/*
	* Own.
    */
	CActiveSchedulerWait* iActiveScheduler;
    };


#endif // WAITACTIVE_H
