# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
# Initial Contributors:
# Nokia Corporation - initial contribution.
# Contributors:
# Description:
TEMPLATE = app
include(../../../../common.pri)
CONFIG(debug, debug|release):DESTDIR = debug
else:DESTDIR = release
CONFIG += debug_and_release \
    console
QT += testlib \
    xml
DEFINES += CONTENT_ARSENAL_STORAGE_UT

coverage:DEFINES += COVERAGE_MEASUREMENT
DEPENDPATH += . \
    ./inc \
    ./src
INCLUDEPATH += . \
    ./inc \
    ../../inc \
    ../../../../homescreensrv_plat/contentstorage_api
INCLUDEPATH += ../../../cautils/inc \
    ../../inc
symbian: { 
    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test
    TARGET.UID2 = 0x1000008D
    TARGET.UID3 = 0x20026FAB
    TARGET.CAPABILITY = ALL \
        -TCB
    TARGET.EPOCSTACKSIZE = 0x14000 \
        // \
        80kB
    TARGET.EPOCHEAPSIZE = 0x20000 \
        0x1000000 \
        // \
        128kB \
        - \
        16MB
    INCLUDEPATH += $$MW_LAYER_SYSTEMINCLUDE \
        ../../inc \
        ../../../cautils/inc \
        ../../../srvinc \
        ../../../inc
    LIBS += -leuser \
        -lsqldb \
        -lestor \
        -lefsrv \
        -lbafl \
        -lcautils \
        -lflogger \
        -lxqutils

    exportRunScript.sources = ./data/castorage.bat
    exportRunScript.path = /testing/data/t_castorage/
	
    exportDB.sources = ./data/castorage.db
    exportDB.path = /testing/data/t_castorage/
	
	exportCorruptedDB.sources = ./data/corruptedcastoragedb
	exportCorruptedDB.path = /testing/data/t_castorage/
	
    exportVersionDB.sources = ./data/versioncastoragedb
	exportVersionDB.path = /testing/data/t_castorage/
	


    DEPLOYMENT += \
		exportRunScript \
        exportDB \
		exportCorruptedDB \
		exportVersionDB
		
    BLD_INF_RULES.prj_testexports += "$${exportDB.sources} c:$${exportDB.path}"
	BLD_INF_RULES.prj_testexports += "$${exportCorruptedDB.sources} c:$${exportCorruptedDB.path}"
	BLD_INF_RULES.prj_testexports += "$${exportVersionDB.sources} c:$${exportVersionDB.path}"

}
include(t_castorage.pri)
