/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef TSSERVICE_H
#define TSSERVICE_H

#include <e32base.h>

#include "tsmodel.h"
#include "tsdataobserver.h"

class QObject;
class TsAbstractModel;

class CTsService: public CBase,
                  public MTsModel,
                  public MTsDataObserver
{
public:
    static CTsService* NewLC(QObject* model);
    ~CTsService();

public: //from MTsDataObserver
    void DataChanged();

public: //from MTsModel
    TInt count() const;
    void setObserver(MTsModelObserver *observer);
    
protected: //from MTsModel
    const TDesC& displayNameL(TInt offset) const;
    TInt iconHandleL(TInt offset) const;
    TTime timestampL(TInt offset) const;
    TTsModelItemKey keyL(TInt offset) const;
    TBool isActiveL(TInt offset) const;
    TBool isClosableL(TInt offset) const;
    TBool closeL(TTsModelItemKey key) const;
    TBool launchL(TTsModelItemKey key) const;
    
private:
    CTsService();
    void ConstructL(QObject* model);
    TInt intValueL(TInt offset, const char *key) const;
    TTime timeValueL(TInt offset, const char *key) const;
    const TDesC& stringValueL(TInt offset, const char *key) const;
private:
    QObject *mModel;
    QObject *mServiceObserver;
    MTsModelObserver *mModelObserver;
    HBufC *mBuffer;
};
#endif //TSSERVICE_H
