/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include "tsmodelitemkey.h"
// -----------------------------------------------------------------------------
TInt TTsModelItemKey::size()
{
    return sizeof(TInt) * 2;
}
// -----------------------------------------------------------------------------
TTsModelItemKey::TTsModelItemKey()
:
    mKey(0),
    mRoot(0)
{}

// -----------------------------------------------------------------------------
TTsModelItemKey::TTsModelItemKey(TTsKey key, TInt root)
:
    mKey(key),
    mRoot(root)
{}

// -----------------------------------------------------------------------------
TTsModelItemKey::TTsModelItemKey(const TTsModelItemKey &key)
:
    mKey(key.mKey),
    mRoot(key.mRoot)
{}

// -----------------------------------------------------------------------------
TTsModelItemKey& TTsModelItemKey::operator =(const TTsModelItemKey& key)
{
    mKey = key.mKey;
    mRoot = key.mRoot;
    return (*this);
}

// -----------------------------------------------------------------------------
TBool TTsModelItemKey::operator == (const TTsModelItemKey key) const
{
    return ( mKey == key.mKey && mRoot == key.mRoot);
}

// -----------------------------------------------------------------------------
TInt TTsModelItemKey::key() const
{
    return mKey;
}

// -----------------------------------------------------------------------------
void TTsModelItemKey::ExternalizeL(RWriteStream& stream) const
{
    stream.WriteInt32L(mKey);
    stream.WriteInt32L(mRoot);
}

// -----------------------------------------------------------------------------
void TTsModelItemKey::InternalizeL(RReadStream& stream)
{
    mKey = stream.ReadInt32L();
    mRoot = stream.ReadInt32L();
}
