/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include "t_tsmodel.h"

_LIT(KDisplayName, "TestName" );

T_TsModel::T_TsModel(int items)
{
    mItemsCount = items;
}

TInt T_TsModel::count() const
{
    return mItemsCount;
}

void T_TsModel::setObserver(MTsModelObserver *observer)
{
    mObserver = observer;
}

const TDesC& T_TsModel::displayNameL(TInt /*offset*/) const
{
    return KDisplayName();
}

TInt T_TsModel::iconHandleL(TInt /*offset*/) const
{
    return 0;
}

TTime T_TsModel::timestampL(TInt offset) const
{
    if (0 == (offset %2)) {
        offset = 0;
    }else if(0 == (offset % 5)) {
        offset = 1;
    }
    return TTime(offset);
}

TTsModelItemKey T_TsModel::keyL(TInt offset) const
{
    return TTsModelItemKey(offset, reinterpret_cast<TInt>(this));
}

TBool T_TsModel::isActiveL(TInt /*offset*/) const
{
    return ETrue;
}

TBool T_TsModel::isClosableL(TInt /*offset*/) const
{
    return ETrue;
}

TBool T_TsModel::closeL(TTsModelItemKey) const
{
    return ETrue;
}

TBool T_TsModel::launchL(TTsModelItemKey ) const
{
    return ETrue;
}
