/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

#include "testservicemainwindow.h"
#include "testservicehandler.h"
#include <hbview.h>

TestServiceMainWindow::TestServiceMainWindow(TestServiceHandler *handler, QWidget *parent):
    HbMainWindow(parent),
    mServiceHandler(handler)
{   
    mView = new HbView;
    addView( mView );
    currentView()->setTitle(mServiceHandler->title());
    connect(mServiceHandler, SIGNAL(launchSetTitle(QString)), this, SLOT(requestSetTitle(QString)));
}

TestServiceMainWindow::~TestServiceMainWindow()
{    
    delete mServiceHandler;
    mServiceHandler = 0;
}

void TestServiceMainWindow::requestSetTitle(const QString& title)
{
    QString newTitle = tr("Embedded ") + title;
    currentView()->setTitle(newTitle);
    mServiceHandler->completeRequestSetTitle(currentView()->title());
}
// end of file
