/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef LUNCHWIDGET_H_
#define LUNCHWIDGET_H_

#include <hbwidget.h>
#include <QGraphicsLinearLayout>
#include <QGraphicsGridLayout>
#include <HbPushButton>
#include <hblabel.h>

class HbComboBox;
class TsTaskSettings;

class lunchwidget: public HbWidget
{
    Q_OBJECT
public:
    lunchwidget(QGraphicsItem *parent = 0);
    ~lunchwidget();

private:

    QGraphicsGridLayout *mGridLayout;
    HbPushButton *mRegisterButton;
    HbPushButton *mUnregisterButton;
    HbPushButton *mHideButton;
    HbPushButton *mShowButton;
    HbPushButton *mAnimal1Button;
    HbPushButton *mAnimal2Button;
    HbPushButton *mClearButton;
    HbLabel* mPhotoLabel;
    HbLabel* mResultLabel;    
    //HbLabel* mPriorityLabel;
    //HbComboBox *mPriorityCombo;
    
    QPixmap* mAnimal1;
    QPixmap* mAnimal2;
    
    TInt64 iBefore;
    TInt64 iAfter;
    TInt64 iResult;

private:
    void Before();
    void After();
    void Result();
    void setResult(bool ok);
    
private slots:
    void regScr();
    void unregScr();
    void hideMe();
    void showMe();
    void animal1();
    void animal2();
    void clear();

private:    
    TsTaskSettings* mClient;
};

#endif /* LUNCHWIDGET_H_*/
